[Reproducible-commits] [misc] 01/01: reports: automate the mutt display

Ximin Luo infinity0 at debian.org
Mon May 16 15:42:37 UTC 2016


This is an automated email from the git hooks/post-receive script.

infinity0 pushed a commit to branch master
in repository misc.

commit e1110b4af56408315722122911fae23f2fbc2f66
Author: Ximin Luo <infinity0 at debian.org>
Date:   Mon May 16 17:42:23 2016 +0200

    reports: automate the mutt display
---
 reports/README               | 11 ++---------
 reports/bin/mutt-all-uploads | 12 ++++++++++++
 2 files changed, 14 insertions(+), 9 deletions(-)

diff --git a/reports/README b/reports/README
index a3e099a..5ee4204 100644
--- a/reports/README
+++ b/reports/README
@@ -50,16 +50,9 @@ Process
 
 3. Look at all uploads for the past week.
 
-   Easiest way: log into `master.debian.org`, then:
+       $ bin/mutt-all-uploads
 
-       $ mutt -R -f /srv/mail-archives/lists/debian-devel-changes/debian-devel-changes.$(date +%Y%m)
-
-   Once in `mutt`, filter all packages having `repro` in their
-   changelog by pressing `l`, and then `~b repro` following by
-   *enter*. Read all emails recent enough.
-   Also filter for SOURCE_DATE_EPOCH for possible additional results.
-
-   Otherwise, the archive is available on the web:
+   If you can't use that script, the archive is available on the web:
    https://lists.debian.org/debian-devel-changes/
 
 4. Stats for reviews:
diff --git a/reports/bin/mutt-all-uploads b/reports/bin/mutt-all-uploads
new file mode 100755
index 0000000..d295332
--- /dev/null
+++ b/reports/bin/mutt-all-uploads
@@ -0,0 +1,12 @@
+#!/bin/bash
+# Show emails matching $pattern in debian-devel-changes@ for the current month.
+# Assumes you have an account on master.debian.org.
+set -e
+
+pattern='${1:-reproduc\|SOURCE_DATE_EPOCH}'
+
+quote() { printf "'%s'" "${1//\'/\'\\\'\'}"; }
+command="mutt -e \"push 'l ~b $pattern<Enter>';\" \
+  -R -f /srv/mail-archives/lists/debian-devel-changes/debian-devel-changes.$(date +%Y%m)"
+
+ssh -t master.debian.org sh -c "$(quote "$command")"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-commits mailing list